#include <iostream>
using namespace std;
int main()
{
  int n, m;
  cin >> n;
  cin >> m;
  
  int a[n];
  int br[n];
  int b[2][m];
  int srecaTakmicenjaPr=0;
  int srecaTakmicenjaNpr=0;
  for(int i = 0; i < n; i++)
  {
      cin >> a[i];
  }
  for(int i = 0; i < m; i++)
  {
      cin >> b[0][i];
      cin >> b[1][i];
  }
  for(int i = 1; i < n+1; i++)
  {
      for(int j = 1; j < m+1; j++)
      {
          if(b[0][j-1] == i || b[1][j-1] == i)
          {
              br[i-1]++;
          }
      }
  }
  for(int i = 0; i < n; i++)
  {
      srecaTakmicenjaPr += a[i] * br[i];
      srecaTakmicenjaNpr += a[i] * br[i] * -1;
  }
  if(srecaTakmicenjaPr > srecaTakmicenjaNpr)
  {
      cout << srecaTakmicenjaPr;
  }
  else
  {
      cout << srecaTakmicenjaNpr;
  }
    
  return 0;
}